<script>
	import Item from "@/components/Services/ListItem.svelte"

	$: items = [
		{ name: "driver", icon: "race", value: 4 },
		{ name: "concierge", icon: "cat", value: 6 },
		{ name: "vacation", icon: "vacation", value: 8 },
		{ name: "limousine", icon: "vip", value: 5 }
	]
</script>

<template lang="pug">
.columns.is-flex.is-multiline.is-variable.is-2
	+each('items as { name, icon, value }')
		.column.is-6-desktop.is-12-tablet.is-12-mobile: Item( name='{name}' value='{value}' icon='{icon}' )
</template>

<style lang="scss">
	.columns {
		margin-top: -.5rem!important;
		margin-bottom: -.5rem!important;
	}

	.column {
		padding-top: var(--columnGap);
    padding-bottom: var(--columnGap);
	}
</style>